Package ru.bitel.bgbilling.modules.agr.server.bean

# Class AGRRequestEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.agr.server.bean.AGRRequestEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class AGRRequestEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Событие в платежном модуле AGR, в обработчике которого есть возможность заполнить произвольные данные, которые будут направлены в ответ на обработку запроса от ПС

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AGRRequestEvent​(int mid, AGRRequest agrRequest, javax.servlet.http.HttpServletRequest sourceRequest, int contractId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `AGRRequest` | `getAgrRequest()` | Получение распарсенных значений параметров из запроса ПС.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getParameters()` |
  `javax.servlet.http.HttpServletRequest` | `getSourceRequest()` | Получение исходного запроса от ПС.
  `void` | `putValue​(java.lang.String key, java.lang.String value)` |
  `void` | `setParameters​(java.util.Map<java.lang.String,​java.lang.String> parameters)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AGRRequestEvent

    public AGRRequestEvent​(int mid, AGRRequest agrRequest, javax.servlet.http.HttpServletRequest sourceRequest, int contractId)

- ## Method Details

  - ### getParameters

    public java.util.Map<java.lang.String,​java.lang.String> getParameters()

  - ### setParameters

    public void setParameters​(java.util.Map<java.lang.String,​java.lang.String> parameters)

  - ### putValue

    public void putValue​(java.lang.String key, java.lang.String value)

  - ### getAgrRequest

    public AGRRequest getAgrRequest()
    Получение распарсенных значений параметров из запроса ПС. Суммы, подписи, время, id транзакций и т.д.
    Returns:

  - ### getSourceRequest

    public javax.servlet.http.HttpServletRequest getSourceRequest()
    Получение исходного запроса от ПС.
    Returns: